%define upstream_name    Device-OUI
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Resolve an Organizationally Unique Identifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Device-OUI-1.04-hash.patch

BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
This module provides an interface to the IEEE OUI (Organizationally Unique
Identifier) registry. The registry contains information on what company an
OUI is assigned to. OUIs are used in various networking devices as part of
a unique ID method (network MAC addresses and Fiber Channel WWNs in
particular, see the the Device::MAC manpage and the Device::WWN manpage
modules for more information).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.40.0-9pclos2017
- rebuild against updates

